﻿unit form1;

interface

uses
  qtx.sysutils,
  qtx.classes,
  qtx.dom.types,
  qtx.dom.events,
  qtx.dom.graphics,
  qtx.dom.widgets,
  qtx.dom.application,
  qtx.dom.forms,
  qtx.delegates,
  qtx.dom.events.mouse,
  qtx.dom.events.pointer,
  qtx.dom.events.keyboard,
  qtx.dom.control.panel;

type

  Tform1 = class(TQTXForm)
  {$I "intf::form1"}
  protected
    procedure InitializeObject; override;
    procedure FinalizeObject; override;
    procedure StyleObject; override;
  public

  end;

implementation

procedure Tform1.InitializeObject;
begin
  inherited;
  {$I "impl::form1"}

  // Turn Panel1 into the container by adding the css style
  self.CssClasses.ClassAdd('tile-container');

 
  // Install the keyboard event handler
  asm
    document.addEventListener('keydown', function(event) {
        if (event.key === 'ArrowRight') {
          focusNextTile(true);
        } else if (event.key === 'ArrowLeft') {
          focusNextTile(false);
        }
      });
  end;

  self.WhenReady( procedure (widget: TQTXWidget)
  begin
    // Initialize the tiles
    asm
    addTile('https://picsum.photos/201/200', 'Tile 1', 'Description 1', '#ff6347');
    addTile('https://picsum.photos/202/200', 'Tile 2', 'Description 2', '#32cd32');
    addTile('https://picsum.photos/203/200', 'Tile 3', 'Description 3', '#4169e1');
    addTile('https://picsum.photos/204/200', 'Tile 4', 'Description 4', '#da70d6');
    addTile('https://picsum.photos/205/200', 'Tile 5', 'Description 5', '#ffa500');
    addTile('https://picsum.photos/206/200', 'Tile 6', 'Description 6', '#f9aF00');
    end;
  end);

end;

procedure Tform1.FinalizeObject;
begin
  inherited;
end;

procedure Tform1.StyleObject;
begin
  inherited;
  PositionMode := TQTXWidgetPositionMode.cpInitial;
  DisplayMode := TQTXWidgetDisplayMode.cdBlock;
end;


end.
