function addTile(imageUrl, title, description, backgroundColor)
  {
        const tileContainer = document.querySelector('.tile-container');

        const tile = document.createElement('div');
        tile.classList.add('tile');
        tile.tabIndex = 0;

        const tileImage = document.createElement('img');
        tileImage.classList.add('tile-image');
        tileImage.src = imageUrl;

        const tileContent = document.createElement('div');
        tileContent.classList.add('tile-content');
        tileContent.style.backgroundColor = backgroundColor;

        const tileTitle = document.createElement('div');
        tileTitle.classList.add('tile-title');
        tileTitle.innerText = title;

        const tileDescription = document.createElement('div');
        tileDescription.classList.add('tile-description');
        tileDescription.innerText = description;

        tileContent.appendChild(tileTitle);
        tileContent.appendChild(tileDescription);

        tile.appendChild(tileImage);
        tile.appendChild(tileContent);

        tileContainer.appendChild(tile);
}

function focusNextTile(isForward)
{
  const tiles = document.querySelectorAll('.tile');
  const activeTile = document.activeElement;

  if (isForward) {
    const nextTile = activeTile.nextElementSibling || tiles[0];
    nextTile.focus();
  } else {
    const previousTile = activeTile.previousElementSibling || tiles[tiles.length - 1];
    previousTile.focus();
  }
}
